<?php
defined('_JEXEC') or die('Restricted access');

class plgJshoppingAdminCompany_Field extends JPlugin
{
    public function __construct(&$subject, $config = array()){
        $user = \JFactory::getUser();
        $this->adminaccess = $user->authorise('core.admin', 'com_jshopping');
		
        parent::__construct($subject, $config);  
    }
    
    public function onBeforeEditOrders(&$view){
        $view->etemplatevar .= $this->getScript($view->order->client_type);
    }

    private function getScript($clientType = null){
        return '<script type="text/javascript">
                    function showHideCompanyField(type_id){
                        var companyFieldElement = jQuery("form input[name=firma_name]");
                        var companyFieldParent = companyFieldElement.parent().parent();

                        if (companyFieldElement.length && companyFieldParent.length){
                            if (type_id == "1"){
                                jQuery(companyFieldParent).hide();
                                if (jQuery(companyFieldElement).val() == ""){
                                    jQuery(companyFieldElement).val(0);
                                }

                                jQuery(companyFieldElement).val();
                            } else {
                                if (jQuery(companyFieldElement).val() == 0){
                                    jQuery(companyFieldElement).val("");
                                }

                                jQuery(companyFieldParent).show();
                            }
                        }

                    }' .
                    (isset($clientType) && ($clientType == 1 || $clientType == 2) ? 'showHideCompanyField('.$clientType.');' : '')
                    . 'jQuery("form select[name=client_type]").change(function(){showHideCompanyField(this.value);});
                </script>';
    }
}